Skip to content
View as Markdown

GET Ajax Options​

GET
/reports/ajax-options

Retrieve searchable, paginated option items for various entity types. Used by select dropdowns that need server-side search. Supported option_key values include: woo_categories, woo_products, product_selector_woo, product_selector_woo_order, edd_products, product_selector_edd, voxel_products, product_selector_voxel, voxel_product_types, campaigns, funnels, email_sequences, companies, post_type, company_industries, company_types, users. Unrecognized keys are passed to the fluentcrm_ajax_options_{key} filter.

Authorizations​

ApplicationPasswords

WordPress Application Passwords — use Basic auth with your WordPress username and an application password in the format: username:application_password

Type
API Key (header: Authorization)

Parameters​

Query Parameters

option_key*

The type of options to retrieve.

Type
string
Required
Example"campaigns"
search

Search term to filter results.

Type
string
values

Array of IDs that must be included in the results regardless of search term.

Type
array
sub_option_key

Sub-type filter. Used with woo_products (for product type) and post_type (for the WordPress post type slug).

Type
string

Responses​

Options retrieved successfully.

application/json
JSON
{
"options": [
{
"id": 0,
"title": "string"
}
]
}

Playground​

Authorization
Variables
Key
Value

Samples​

Powered by VitePress OpenAPI